aboutsummaryrefslogtreecommitdiffstats
path: root/main/mpd/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-02-05 12:42:13 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2016-02-05 12:42:26 +0100
commitc46d50039feca3d368b23cf04876ab7bcc5664ea (patch)
tree58da1496be062821760a61110017ca2433af4938 /main/mpd/APKBUILD
parentc081bef5cbf4b1f506a95bb1acf9cad341b5dfca (diff)
downloadaports-c46d50039feca3d368b23cf04876ab7bcc5664ea.tar.gz
aports-c46d50039feca3d368b23cf04876ab7bcc5664ea.tar.bz2
aports-c46d50039feca3d368b23cf04876ab7bcc5664ea.tar.xz
main/mpd: set correct permissions on var/lib/mpd directory and fix init
Diffstat (limited to 'main/mpd/APKBUILD')
-rw-r--r--main/mpd/APKBUILD18
1 files changed, 10 insertions, 8 deletions
diff --git a/main/mpd/APKBUILD b/main/mpd/APKBUILD
index 2648c6a021..2b065bd52f 100644
--- a/main/mpd/APKBUILD
+++ b/main/mpd/APKBUILD
@@ -8,7 +8,7 @@ case $pkgver in
*.*.*) _branch=${pkgver%.*};;
*.*) _branch=$pkgver;;
esac
-pkgrel=0
+pkgrel=1
pkgdesc="Music daemon that plays MP3, FLAC, and Ogg Vorbis files"
url="http://musicpd.org"
pkgusers="mpd"
@@ -70,31 +70,33 @@ package() {
-e 's:\#user.*:user\t\t"mpd":' \
-e 's:\#log_file.*:log_file\t\t"syslog":' \
doc/mpdconf.example > "$pkgdir"/etc/mpd.conf
-
- install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
- install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+ install -m755 -D "$srcdir"/$pkgname.initd \
+ "$pkgdir"/etc/init.d/$pkgname || return 1
+ install -m644 -D "$srcdir"/$pkgname.confd \
+ "$pkgdir"/etc/conf.d/$pkgname || return 1
install -d -g audio -o mpd -m775 \
"$pkgdir"/var/run/mpd \
"$pkgdir"/var/log/mpd \
+ "$pkgdir"/var/lib/mpd \
"$pkgdir"/var/lib/mpd/playlists \
- "$pkgdir"/var/lib/mpd/music
+ "$pkgdir"/var/lib/mpd/music || return 1
}
md5sums="acbef4339d854da509c8bf3b43f0657e mpd-0.19.12.tar.xz
a84cce5fdb848c7d282e38698432df51 underlinking.patch
97e6eab066fc610e6e3a3b2263a6d5ba musl-gcc5-fixes.patch
b0c5da8706963a5ae910ff604eb87e2b stacksize.patch
-69f9df7ba92ac3f6c46a4a30a2a5c025 mpd.initd
+1de7e03c49aaf0bcee28b94b81e0a2f8 mpd.initd
dbd301041953a5cf9c2b9de8f23eb6bb mpd.confd"
sha256sums="7b6fe6c7ce72f5f80a276d680072b524ecb395e546e252b8f3a0756377e1e875 mpd-0.19.12.tar.xz
b3a0499cbd3f759612ad94fce00588d97e5e82af0b2bcc560869eb977067a426 underlinking.patch
f8be8d5f00576e4734d44d3ee2ad2ddd55351c25eee5a545573a264304514db9 musl-gcc5-fixes.patch
7ae663ecc08498e1d822349cf580eb738f43218308ae0b75efe128276f8ab98a stacksize.patch
-9d842c202c010b7254dc89971649139b81bfec49f11c19bcba8be8712279ba7b mpd.initd
+0957b1ec79fc434280734213098f2936bb7ab3e7e6ae9f81368f68abe800d7d9 mpd.initd
32c072f77c23c2cc2dd7c93b65b73015e0587caaf2740856132af32cee623206 mpd.confd"
sha512sums="a608c99096d0ec9158cba5615be344a47d76c5be830ba34445e330f141aaa828784772d772df20d71d4c65e78ea5dfe9fb59ea4f4f823fa112a00517963a6e7e mpd-0.19.12.tar.xz
d6a98c5f60a60ddd5fa94b25864f800a6a6fb6ffe114793293d0ccc71bb5d1cdb847ca39fde4128446b55a38be85634106d5d6f2c77ee450f33631b30140781a underlinking.patch
5140ad3eb13b5e141e9b9909ad27ae2a08ac7556b3ff23f97a65ae6dc20f3856a0376b85fe8e90eb37b8fbaccd0c1002b4bc788d0abcb7541c95713e1cc98a3a musl-gcc5-fixes.patch
f425c20e18207a406f84a6a664f02625fca9d42977b1289f4ba8595406b26f6aa73b4f1cb5a1115858cb75fa7844f42d7174adba3f6af1af216c44901a1ccaa0 stacksize.patch
-8b13530fbfb2bded3cb82202261d57ff824521e5682f07c8f3d0562348aeb303e6c3d72a457043c4d4909d7106d723fe701a12ab66b45b016d3b940acbeb205b mpd.initd
+149d41b5b025ffcbc1599f6ba661d8cbdb36f0ed707fa8ab99b99559c1d4a6a6ec657c97dc1bd50a1647227787d852324f837ea6211ec6b5c311b22bba5ee6be mpd.initd
41b2467f5b03f5c4dd7003cd5f56f6cfc1f67af7a9aa2538d70360f839625222bdd0c4b04c33e8cd52eeecfc354da3ca22f5aaab8aee357a5774aaf3503594e7 mpd.confd"